Subject: Re: [Sipping] I-D ACTION:draft-ietf-sipping-service-examples-06.txt

From: Paul Kyzivat <[email-masked]>
Date: Tue, 17 Feb 2004 15:41:13 -0500

As with the transfer examples, the changes here give the impression that 
things will be wonderful if you add "Supported: gruu" and continue to 
use your old contact address.

If examples are to be given that depend upon gruus, then I think we need 
to show that the gruu is something special - not the same as the UA's 
normal contact address.

	Paul

[email-masked] wrote:
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Session Initiation Proposal Investigation Working Group of the IETF.
> 
> 	Title		: Session Initiation Protocol Service Examples
> 	Author(s)	: A. Johnston, R. Sparks
> 	Filename	: draft-ietf-sipping-service-examples-06.txt
> 	Pages		: 169
> 	Date		: 2004-2-17
> 	
> This document gives examples of Session Initiation Protocol (SIP)
> services.  This covers most features offered in so-called IP Centrex
> offerings from local exchange carriers and PBX (Private Branch
> Exchange) features.  Most of the services shown in this document are
> implemented in the SIP User Agents, although some require the
> assistance of a SIP Proxy.  Some require some extensions to SIP
> including the REFER, SUBSCRIBE, and NOTIFY methods and the Replaces
> and Join headers. These features are not intended to be an exhaustive
> set, but rather show implementations of common features likely to be
> implemented on SIP IP telephones in a business environment.
> 
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-sipping-service-examples-06.txt
> 
> To remove yourself from the IETF Announcement list, send a message to 
> ietf-announce-request with the word unsubscribe in the body of the message.
> 
> Internet-Drafts are also available by anonymous FTP. Login with the username
> "anonymous" and a password of your e-mail address. After logging in,
> type "cd internet-drafts" and then
> 	"get draft-ietf-sipping-service-examples-06.txt".
> 
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html 
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
> 
> 
> Internet-Drafts can also be obtained by e-mail.
> 
> Send a message to:
> 	[email-masked].
> In the body type:
> 	"FILE /internet-drafts/draft-ietf-sipping-service-examples-06.txt".
> 	
> NOTE:	The mail server at ietf.org can return the document in
> 	MIME-encoded form by using the "mpack" utility.  To use this
> 	feature, insert the command "ENCODING mime" before the "FILE"
> 	command.  To decode the response(s), you will need "munpack" or
> 	a MIME-compliant mail reader.  Different MIME-compliant mail readers
> 	exhibit different behavior, especially when dealing with
> 	"multipart" MIME messages (i.e. documents which have been split
> 	up into multiple messages), so check your local documentation on
> 	how to manipulate these messages.
> 		
> 		
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: Alan Johnston <[email-masked]>
Date: Tue, 17 Feb 2004 16:54:25 -0600

At 03:41 PM 2/17/2004 -0500, Paul Kyzivat wrote:
>things will be wonderful if you add "Supported: gruu" and continue to use 
>your old contact address.
>

Paul,

What do you have in mind?  A GRUU is identical to any other URI - it just 
meets the requirements in the draft.  A GRUU doesn't need to look different 
from any other URI - in fact, no one can tell by inspection if a URI is a 
GRUU.

Do you just want the example GRUUs to *look* different??

Thanks,
Alan Johnston
MCI
sip:[email-masked]

>>http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>

---

From: Paul Kyzivat <[email-masked]>
Date: Tue, 17 Feb 2004 18:37:13 -0500

Alan Johnston wrote:
>> As with the transfer examples, the changes here give the impression 
>> that things will be wonderful if you add "Supported: gruu" and 
>> continue to use your old contact address.
>>
>> If examples are to be given that depend upon gruus, then I think we 
>> need to show that the gruu is something special - not the same as the 
>> UA's normal contact address.
> 
> 
> Paul,
> 
> What do you have in mind?  A GRUU is identical to any other URI - it 
> just meets the requirements in the draft.  A GRUU doesn't need to look 
> different from any other URI - in fact, no one can tell by inspection if 
> a URI is a GRUU.
> 

There are two possibilities here:

- include in the call flows the REGISTER message that gets the gruu.
   Then it is entirely clear.

- just make the GRUUs look different, in a suggestive way.
   It is especially deceptive if one example that doesn't use
   gruu uses the same contact address as another example that does
   use gruu. And using what is obviously intended to be the dns
   address of the endpoint itself, or worse the same address as
   is used for media addresses, is especially misleading.
   Something on the order of [email-masked] would go a long way.

Including a REGISTER in every example that uses gruus would probably be 
overkill. But it might be worthwhile to at least include examples that 
do obtain gruus appropriate for the examples that use them.

	Paul